Page MenuHomeFreeBSD

Update CMake to 3.10.1
ClosedPublic

Authored by adridg on Nov 23 2017, 9:44 AM.

Details

Summary

This updates CMake to 3.10.0. A full(er) upstream changelog is at

https://blog.kitware.com/cmake-3-10-0-available-for-download/

For FreeBSD, most important:

  • flang supported
  • new policy for Automoc on generated files
  • CPack can be used to produce FreeBSD packages (which are then installable with pkg(8))
Test Plan

Needs an exp-run. Also, cpack now links to libpkg, wherever that
comes from. This yields a stage-qa error, because no LIB_DEPENDS
lists it. On the other hand, I don't want to make cpake depend
specifically on ports-mgmt/pkg, since pkg-devel is also acceptable.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg created this revision.Nov 23 2017, 9:44 AM
adridg updated this revision to Diff 35651.Nov 23 2017, 10:20 AM

Massage cmake-doc plist

Feel free to aks for the exp-run :)

devel/cmake-doc/pkg-plist
3 ↗(On Diff #35651)

^ I think here it should always be "release" and not %%CMAKE_BUILD_TYPE%%.

adridg updated this revision to Diff 35773.Nov 25 2017, 8:13 PM

Fix misplaced subst of %%CMAKE_BUILD_TYPE%%

adridg marked an inline comment as done.Nov 25 2017, 8:13 PM
adridg updated this revision to Diff 36707.Dec 18 2017, 8:59 AM

Update to 3.10.1

adridg retitled this revision from Update CMake to 3.10.0 to Update CMake to 3.10.1.Dec 18 2017, 9:02 AM
tcberner accepted this revision.Dec 22 2017, 5:56 PM

Exp-run was fine

This revision is now accepted and ready to land.Dec 22 2017, 5:56 PM
This revision was automatically updated to reflect the committed changes.